OX Documents - Ein Fehler trat während der Installation auf

german

#1

Hi

Frisches System, Ox Appsuite installiert, OX Lizenz eingespielt, OX Update, alles gut.
Bei der Installation von Ox Documents erhalte ich folgende Fehlermeldung:

Ein Fehler trat während der Aktion auf
Die angeforderte Aktion kann nicht durchgeführt werden. Bitte berücksichtigen Sie die Informationen, die unten angegeben sind, um das Problem zu beheben und es erneut zu versuchen.

Die folgenden Software-Änderungen werden auf diesem Rechner angewendet: 22 Pakete werden installiert / aktualisiert, 1 Paket ist fehlerhaft

Folgende Pakete werden installiert bzw. aktualisiert:

libreaderengine-calc
libreaderengine-core
libreaderengine-draw
libreaderengine-en-us
libreaderengine-en-us-calc
libreaderengine-en-us-math
libreaderengine-en-us-res
libreaderengine-en-us-writer
libreaderengine-graphicfilter
libreaderengine-impress
libreaderengine-math
libreaderengine-ooofonts
libreaderengine-writer
open-xchange-documents-fonts
open-xchange-documents-ui-common
open-xchange-documents-ui-static
readerengine
readerengine-en-us
readerengine-intern
readerengine-pdf2svg
readerengine-ure
univention-ox-text

Die Aktion führt bei folgenden Paketen zu nicht automatisch behebbaren Problemen:

univention-ox-text

Ist das Problem evtl. bekannt oder kann nachvollzogen werden?
Was tun?

Danke
Sascha


Keinerlei Installationen aus dem App Center möglich (4.1.4)
#2

Hallo Sascha,

nachvollziehen kann ich das Problem aktuell nicht (mehr). Wir hatten von gestern Mittag bis gerade eben ein Problem mit dem OX AppSuite-Repository im AppCenter.
Ggf. hatte das durch Paketabhängigkeiten Auswirkungen auf die OX Documents-Installation.

Kannst du bitte auf der Kommandozeile ein “apt-get update” ausführen und dann nochmal versuchen, OX Documents über das App Center zu installieren?

Viele Grüße,

Sönke


#3

hi Sönke,

danke für die Rückmeldung.
Versuche ich und melde mich dann gleich.
LG
Sascha


#4

Danke,
das hat perfekt geklappt!
Solved!

lg
Sascha


#5

Hallo,

hatte das gleiche Problem vor ca 30 Minuten, komischerweise hat er es trotz des fehlerhaften Paket installiert und daraufhin
konnte ich weder Text noch Spreadsheet nutzen.
Fehlermeldung: Applikation konnte nicht gestartet werden. Vielleicht haben Sie Verbindungsprobleme. Bitte versuchen Sie es erneut.

Daraufhin habe ich OX Documents neu installiert ohne das dieses fehlerhafte Paket angezeigt wurde, jedoch besteht weiterhin das Problem,
dass OX Text und Spreadsheet ohne jegliche Funktion sind.

Was kann ich weiter tuen oder wo kann ich nach einer Fehlermeldung in den Logs suchen?

Danke


#6

Hi,
bitte schau mal ob die rechte für text und spreadsheet korrekt gesetzt sind, das zerhaut die OX Integration ganz gerne mal:

/ox/cfg/permissions.properties/permissions

Da solllte
text,spreadsheet,document_preview
drin stehen.

lg
Sascha


#7

Habe ich überprüft steht genau das Gleiche drin.
Problem ist auch erst nach dem heutigen Upgrade auf 7.8-2-4-ucs1 aufgetreten.
Dienste wie open-xchange und open-xchange-documentconverter-server habe ich testweise auch schon einmal neugestartet.


#8

Hallo,

[quote=“pt_it”]Habe ich überprüft steht genau das Gleiche drin.
Problem ist auch erst nach dem heutigen Upgrade auf 7.8-2-4-ucs1 aufgetreten.
Dienste wie open-xchange und open-xchange-documentconverter-server habe ich testweise auch schon einmal neugestartet.[/quote]

Besteht das Problem auf Ihrem System noch, oder hat sich dafür mittlerweile eine Lösung gefunden?

Viele Grüße

Sönke Schwardt-Krummrich


#9

Das gleiche Problem habe ich auch, System von 4.0.3 auf 4.1.4 und stehe jetzt vor dem Update: Installierte Version 7.8-0-6-ucs1 Verfügbare Version 7.8-2-4-ucs1.

Die Aktion führt bei folgenden Paketen zu nicht automatisch behebbaren Problemen:
univention-ox-text
univention-ox-text-meta-documentconverter

Gruß Ben Sommer


#10

Nachtrag, meine Version 4.1-3 errata292 mit dem gleichen OX Documents liefert den gleichen Fehler.

Gruß Ben Sommer


#11

Hallo,

ich versuche das nachzustellen. Können Sie mir bitte die Ausgabe schicken von:

ucr search --brief component/o | egrep -v 'username|password'

Danke
Daniel Tröder


#12

Kann ich nachher gerne von den beiden Servern machen. Würde es ihnen helfen auf die Testkopie des Kundenservers, der sich nicht aktualisiert per ssh zugreifen zu können? Ist kein produktives System.

Gruß Ben Sommer


#13

Ich habe vergeblich versucht das Problem nachzustellen. Ich habe folgendes getan:
[ol][li] UCS 4.0-4 installiert, geupdatet zu 4.0-5[/li]
[li] OX App Suite installiert: 7.8.0-6-ucs3[/li]
[li] OX Documents installiert: 7.8.0-6-ucs1[/li]
[li] Update von UCS auf 4.1-4 errata 327[/li]
[li] Mir wurden Updates vorgeschlagen: OX App Suite zu 7.8.2-4-ucs3 und OX Documents zu 7.8-2-4-ucs1.[/li]
[li] Habe erst das Update von OX App Suite durchgeführt, dann das von OX Documents.[/li][/ol]
Dies hat alles ohne Probleme geklappt.

Was mir bei der Liste der bei Ihnen aktivierten repositories auffiel ist, dass OX App Suite nicht bis zur neuesten Version aktualisiert wurde. Die neueste Version ist 7.8.2-4-ucs3 (oxseforucs_20161021124855). In der Liste die Sie mir zugeschickt haben steht aber drin 7.8.1-7-ucs1 (oxseforucs_20160404 und oxseforucs_20160421).

Ich kann mir vorstellen, dass das join script nicht richtig durchgelaufen ist. Sie können dies noch mal durchführen mit:

univention-run-join-scripts --run-scripts --force 65univention-ox.inst

Versuchen Sie anschließend auf die neueste OX App Suite Version zu updaten. Wenn dies klappt, dann sollte ein Update auf die neueste OX Documents Version ebenfalls klappen.

Bitte kopieren Sie in den nächsten Foreneintrag die Ausgabe von:

univention-app info

Beste Grüße
Daniel Tröder


#14

So anbei die Ausgabe

UCS: 4.1-4 errata327
App Center compatibility: 4
Installed: mailserver=10 open-xchange-text=7.8-0-6-ucs1 oxseforucs=7.8.1-7-ucs1
Upgradable: open-xchange-text oxseforucs

Wenn ich OX Documents aktualisieren möchte, so werden mir die hier bekannten fehlerhaften Pakete angezeigt. Bei der App Suite habe ich nur den deinstall Knopf und keinen zum Upgrade / Update
Das Script lief ohne Fehler durch.

Gruß Ben Sommer


#15

Hier ist das Problem zu sehen:

Da OX App Suite (oxseforucs) nicht zu 7.8.2 geupdated wird, kann auch OX Documents (open-xchange-text) nicht weiter geupdatet werden.

Bitte führen Sie einmal folgendes aus:

ucr commit /etc/apt/sources.list.d/*

Und wenn es keine Fehlermeldung gibt, dann

univention-upgrade --ignoreterm --ignoressh

Wenn dies nicht klappt: ich habe Ihnen eine PM geschickt (Sie sollten Sie per Mail erhalten haben): Sie können mir die SSH-Zugangsdaten für das Testsystem zusenden.


#16

Guten Tag
bei meinem Testsystem hat es geklappt. Das zweite System prüfe ich gleich, muss mir nur noch einen aktuellen Key für die Suite besorgen.
Gebe ihnen dann aber noch eine kurze Rückmeldung. Danke für die Hilfe

Ben Sommer


#17

Moin
So bei meinem System hat es auch geklappt.

Danke noch einmal für die ausführliche Hilfe

Grüße aus Berlin

Ben Sommer


#18

hi,
hier klappt es leider noch nicht, könnte aber auch evtl. ein etwas anderes Problem sein:
Bei der Installation der regulären Paketupdates auf einem dedizierten UCS-Slave für OX kommt folgender Fehler:

126 aktualisiert, 2 neu installiert, 1 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 25,2 MB von 399 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 273 MB Plattenplatz freigegeben.
Fehl http://appcenter.software-univention.de/univention-repository/4.1/maintained/component/ open-xchange-text_20160727151803/all/ open-xchange-documents-backend 7.8.2-4
  Verbindung fehlgeschlagen
Fehlschlag beim Holen von http://appcenter.software-univention.de/univention-repository/4.1/maintained/component/open-xchange-text_20160727151803/all/open-xchange-documents-backend_7.8.2-4_all.deb  Verbindung fehlgeschlagen
E: Einige Archive konnten nicht heruntergeladen werden; vielleicht »apt-get update« ausführen oder mit »--fix-missing« probieren?
 exitcode of apt-get dist-upgrade: 100
ERROR: update failed. Please check /var/log/univention/updater.log[/code]


aus diesem Grund, ist die Installation (weder in der CLI noch in der GUI) nicht möglich.

[code]root@ux-ox:~# dpkg -C
root@ux-ox:~# ucr search --brief component/o | egrep -v 'username|password'
repository/online/component/open-xchange-text_20160727151803/description: OX Documents
repository/online/component/open-xchange-text_20160727151803/localmirror: false
repository/online/component/open-xchange-text_20160727151803/server: appcenter.software-univention.de
repository/online/component/open-xchange-text_20160727151803/unmaintained: disabled
repository/online/component/open-xchange-text_20160727151803/version: current
repository/online/component/open-xchange-text_20160727151803: enabled
repository/online/component/oxcalcengine781/description: Open-Xchange calc engine
repository/online/component/oxcalcengine781/prefix: OX6/OXSEforUCS
repository/online/component/oxcalcengine781/server: software.open-xchange.com
repository/online/component/oxcalcengine781: enabled
repository/online/component/oxdocconv781/defaultpackage: univention-ox-text-meta-documentconverter open-xchange-documentconverter open-xchange-documentconverter-webservice
repository/online/component/oxdocconv781/description: Open-Xchange Text Documentconverter
repository/online/component/oxdocconv781/prefix: OX6/OXSEforUCS
repository/online/component/oxdocconv781/server: software.open-xchange.com
repository/online/component/oxdocconv781: enabled
repository/online/component/oxdocconvapi781/description: Open-Xchange Text Documentconverter API
repository/online/component/oxdocconvapi781/prefix: OX6/OXSEforUCS
repository/online/component/oxdocconvapi781/server: software.open-xchange.com
repository/online/component/oxdocconvapi781: enabled
repository/online/component/oxdrive782/defaultpackage: open-xchange-drive-restricted
repository/online/component/oxdrive782/description: Open-Xchange Drive
repository/online/component/oxdrive782/prefix: OX6/OXSEforUCS
repository/online/component/oxdrive782/server: software.open-xchange.com
repository/online/component/oxdrive782: enabled
repository/online/component/oxdrivehelp140/description: Open-Xchange Drive Help
repository/online/component/oxdrivehelp140/prefix: OX6/OXSEforUCS
repository/online/component/oxdrivehelp140/server: software.open-xchange.com
repository/online/component/oxdrivehelp140: enabled
repository/online/component/oxmobility782/defaultpackage: open-xchange-meta-mobility univention-ox-usm-ox
repository/online/component/oxmobility782/description: OXtender for Business Mobility
repository/online/component/oxmobility782/prefix: OX6/OXSEforUCS
repository/online/component/oxmobility782/server: software.open-xchange.com
repository/online/component/oxmobility782: enabled
repository/online/component/oxoffice781/description: Open-Xchange Text
repository/online/component/oxoffice781/prefix: OX6/OXSEforUCS
repository/online/component/oxoffice781/server: software.open-xchange.com
repository/online/component/oxoffice781: enabled
repository/online/component/oxofficeweb781/description: Open-Xchange Text Web
repository/online/component/oxofficeweb781/prefix: OX6/OXSEforUCS
repository/online/component/oxofficeweb781/server: software.open-xchange.com
repository/online/component/oxofficeweb781: enabled
repository/online/component/oxoutlook782/defaultpackage: open-xchange-meta-outlook
repository/online/component/oxoutlook782/description: OXtender for MS Outlook
repository/online/component/oxoutlook782/prefix: OX6/OXSEforUCS
repository/online/component/oxoutlook782/server: software.open-xchange.com
repository/online/component/oxoutlook782: enabled
repository/online/component/oxreaderengine781/defaultpackage: univention-ox-text-meta-documentconverter readerengine-writer
repository/online/component/oxreaderengine781/description: Open-Xchange document conversion engine
repository/online/component/oxreaderengine781/prefix: OX6/OXSEforUCS
repository/online/component/oxreaderengine781/server: software.open-xchange.com
repository/online/component/oxreaderengine781: enabled
repository/online/component/oxseforucs_20161021124855/description: OX App Suite
repository/online/component/oxseforucs_20161021124855/localmirror: false
repository/online/component/oxseforucs_20161021124855/server: appcenter.software-univention.de
repository/online/component/oxseforucs_20161021124855/version: current
repository/online/component/oxseforucs_20161021124855: enabled
repository/online/component/oxusm782/description: Open-Xchange Server USM Bundle
repository/online/component/oxusm782/prefix: OX6/OXSEforUCS
repository/online/component/oxusm782/server: software.open-xchange.com
repository/online/component/oxusm782: enabled

#19

Bitte mit

wget http://appcenter.software-univention.de/univention-repository/4.1/maintained/component/open-xchange-text_20160727151803/all/open-xchange-documents-backend_7.8.2-4_all.deb

solange versuchen, bis Ihre ausgehende Firewall-/DNS-/Routingkonfiguration (?) stimmt. Evtl. mit

ping appcenter.software-univention.de

anfangen.

Gruß
Daniel Tröder


#20

Moin
was mir bei meinem und dem Kundensystem aufgefallen ist, ist dass im APP Store OX Dokuments als zu installieren angezeigt wird, obwohl es in Verwendung ist und dem Benutzer angezeigt wird. Ist das so richtig oder deutet es auf einen Fehler?

Grüße aus Berlin

Ben Sommer